Package com.independentsoft.office.odf.styles

# Enum Class CaptionEscapeDirection

java.lang.Object
java.lang.Enum<CaptionEscapeDirection>
com.independentsoft.office.odf.styles.CaptionEscapeDirection

All Implemented Interfaces:
  `Serializable`, `Comparable<CaptionEscapeDirection>`, `Constable`

public enum CaptionEscapeDirection extends Enum<CaptionEscapeDirection>
Represents the escape direction for the line of a caption.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO`
  Consumer should choose best escape direction for a line of a caption.
  `HORIZONTAL`
  The escape line of a caption should be drawn horizontally.
  `NONE`
  None.
  `VERTICAL`
  The escape line of a caption should be drawn vertically.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CaptionEscapeDirection`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static CaptionEscapeDirection[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HORIZONTAL

    public static final CaptionEscapeDirection HORIZONTAL
    The escape line of a caption should be drawn horizontally.

  - ### VERTICAL

    public static final CaptionEscapeDirection VERTICAL
    The escape line of a caption should be drawn vertically.

  - ### AUTO

    public static final CaptionEscapeDirection AUTO
    Consumer should choose best escape direction for a line of a caption.

  - ### NONE

    public static final CaptionEscapeDirection NONE
    None.

- ## Method Details

  - ### values

    public static CaptionEscapeDirection[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CaptionEscapeDirection valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null